%define upstream_name    XML-LibXML
%define upstream_version 2.0132

%{?perl_default_filter}
# Useless requires on perl >= 5.008 that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::More|5.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define subrel 1
Release:    %mkrel 1

Summary:    Perl Binding for libxml2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::NamespaceSupport) >= 1.70.0
BuildRequires: perl(XML::SAX) >= 0.110.0
BuildRequires: perl(XML::SAX::Base)
BuildRequires: perl(XML::SAX::Exception)
BuildRequires: perl(base)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: pkgconfig(libxml-2.0) >= 2.9.0
BuildRequires: perl-devel
Obsoletes:  perl-XML-LibXML-XPathContext
Obsoletes:  perl-XML-LibXML-Common
Requires:   libxml2 >= 2.9.0
Requires(post):     perl-XML-SAX >= 0.11
Requires(preun):    perl-XML-SAX >= 0.11

%{?perl_default_filter}

%description
This module implements much of the DOM Level 2 API as an
interface to the Gnome libxml2 library. This makes it a fast
and highly capable validating XML parser library, as well as
a high performance DOM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%optflags" SKIP_SAX_INSTALL=1
%make_build

%check
LC_ALL=C %{__make} test

%install
%make_install

%preun -p %{_bindir}/perl
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p %{_bindir}/perl
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO example
%{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/XML/LibXML*
%{_mandir}/*/*


%changelog
* Mon Jan 21 2019 luigiwalser <luigiwalser> 2.13.200-1.1.mga6
+ Revision: 1358562
- rebuild for libxml2 2.9.9
- 2.0132
- rebuild for libxml2
+ neoclust <neoclust>
- Fix CVE-2017-10672 (use-after-free by controlling the arguments to
  a replaceChild call) (mga#21332)

* Sat Mar 18 2017 shlomif <shlomif> 2.12.900-1.mga6
+ Revision: 1093477
- New upstream version with an optimisation.

* Tue Aug 02 2016 tv <tv> 2.12.800-2.mga6
+ Revision: 1044237
- rebuild for new libxml2

* Sat Jul 30 2016 shlomif <shlomif> 2.12.800-1.mga6
+ Revision: 1043989
- New version for fixing tests in itself and dependent modules.

* Mon Jun 06 2016 tv <tv> 2.12.400-3.mga6
+ Revision: 1020402
- unbloat default install: prevent pulling full perl...

* Mon Jun 06 2016 tv <tv> 2.12.400-2.mga6
+ Revision: 1020378
- unbloat default install: Test::More is only needed at buildtime

* Sun Mar 13 2016 shlomif <shlomif> 2.12.400-1.mga6
+ Revision: 989880
- update to 2.0124

* Sat Jan 16 2016 shlomif <shlomif> 2.12.300-1.mga6
+ Revision: 924087
- update to 2.0123

* Mon Jan 04 2016 tv <tv> 2.12.200-2.mga6
+ Revision: 919423
- rebuild for latest libxml (fixing other packages' testsuite)

* Sun Sep 06 2015 sander85 <sander85> 2.12.200-1.mga6
+ Revision: 873697
- update to 2.0122

* Fri Jun 26 2015 tv <tv> 2.12.100-4.mga6
+ Revision: 845555
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tmb <tmb> 2.12.100-3.mga6
+ Revision: 840402
- rebuild with buildsystem
- rebuild with perl-5.22

* Tue May 05 2015 shlomif <shlomif> 2.12.100-1.mga5
+ Revision: 821260
- New version - fix MGA#15803 CVE-2015-3451.

* Wed Oct 15 2014 umeabot <umeabot> 2.11.600-7.mga5
+ Revision: 742061
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.11.600-6.mga5
+ Revision: 732633
- add exclude

* Fri Sep 26 2014 tv <tv> 2.11.600-5.mga5
+ Revision: 725158
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.11.600-4.mga5
+ Revision: 686934
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 pterjan <pterjan> 2.11.600-3.mga5
+ Revision: 630703
- Rebuild cleanly
- Rebuild for new Perl

* Tue Apr 15 2014 jquelin <jquelin> 2.11.600-1.mga5
+ Revision: 615072
- update to 2.0116

* Tue Mar 25 2014 jquelin <jquelin> 2.11.300-1.mga5
+ Revision: 608467
- update to 2.0113

* Fri Mar 14 2014 jquelin <jquelin> 2.11.200-1.mga5
+ Revision: 603752
- update to 2.0112

* Thu Mar 13 2014 jquelin <jquelin> 2.11.100-1.mga5
+ Revision: 603058
- update to 2.0111

* Mon Feb 10 2014 jquelin <jquelin> 2.11.0-1.mga5
+ Revision: 588846
- update to 2.0110

* Sat Oct 19 2013 umeabot <umeabot> 2.10.0-2.mga4
+ Revision: 531972
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 sander85 <sander85> 2.10.0-1.mga4
+ Revision: 466406
- update to 2.0100

* Wed May 29 2013 shlomif <shlomif> 2.1.800-1.mga4
+ Revision: 431603
- New version 2.0018

* Wed May 29 2013 jquelin <jquelin> 2.1.400-4.mga4
+ Revision: 431013
- perl 5.18.0 rebuild

* Thu May 02 2013 shlomif <shlomif> 2.1.400-3.mga3
+ Revision: 412007
- Fix mga#9948
- Remove trailing space

* Sun Jan 13 2013 umeabot <umeabot> 2.1.400-2.mga3
+ Revision: 375054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 shlomif <shlomif> 2.1.400-1.mga3
+ Revision: 339837
- update to 2.0014

* Tue Dec 04 2012 shlomif <shlomif> 2.1.300-1.mga3
+ Revision: 326508
- update to 2.0013

* Wed Nov 14 2012 jquelin <jquelin> 2.1.200-1.mga3
+ Revision: 317767
- update to 2.0012

* Wed Nov 07 2012 jquelin <jquelin> 2.1.0-1.mga3
+ Revision: 315967
- update to 2.0010

* Sat Oct 20 2012 shlomif <shlomif> 2.0.700-1.mga3
+ Revision: 308392
- New version 2.0007

* Fri Oct 19 2012 fwang <fwang> 2.0.600-2.mga3
+ Revision: 308262
- update scriplet requires

* Mon Oct 15 2012 jquelin <jquelin> 2.0.600-1.mga3
+ Revision: 306286
- update to 2.0006

* Wed Sep 19 2012 fwang <fwang> 2.0.400-2.mga3
+ Revision: 296078
- rebuild

* Fri Aug 31 2012 kharec <kharec> 2.0.400-1.mga3
+ Revision: 286621
- update to 2.0004

* Fri Aug 24 2012 pterjan <pterjan> 2.0.200-2.mga3
+ Revision: 283399
- Clean rebuild

* Thu Jul 12 2012 jquelin <jquelin> 2.0.200-1.mga3
+ Revision: 270337
- update to 2.0002

* Wed Jul 04 2012 jquelin <jquelin> 2.0.100-1.mga3
+ Revision: 267567
- update to 2.0001

* Tue Mar 06 2012 shlomif <shlomif> 1.950.0-1.mga2
+ Revision: 219918
- Upgraded to 1.95 (which has some XML::LibXML::Element overloading-related bug fixes.

* Thu Feb 23 2012 jquelin <jquelin> 1.920.0-1.mga2
+ Revision: 213311
- update to 1.92

* Mon Jan 09 2012 jquelin <jquelin> 1.900.0-1.mga2
+ Revision: 193821
- update to 1.90

* Thu Jan 05 2012 jquelin <jquelin> 1.890.0-1.mga2
+ Revision: 191340
- update to 1.89

* Mon Sep 26 2011 jquelin <jquelin> 1.880.0-1.mga2
+ Revision: 148259
- update to 1.88
- update to 1.87
- update to 1.86
- update to 1.84

* Wed Jul 13 2011 jquelin <jquelin> 1.790.0-1.mga2
+ Revision: 123644
- update to 1.79

* Fri Jul 08 2011 jquelin <jquelin> 1.780.0-1.mga2
+ Revision: 120530
- update to 1.78

* Mon Jun 27 2011 jquelin <jquelin> 1.750.0-1.mga2
+ Revision: 114558
- update to 1.75

* Tue Jun 21 2011 jquelin <jquelin> 1.730.0-1.mga2
+ Revision: 111465
- update to 1.73

* Fri Jun 17 2011 jquelin <jquelin> 1.720.0-1.mga2
+ Revision: 109167
- update to 1.72

* Sun Jun 12 2011 ahmad <ahmad> 1.700.0-9.mga2
+ Revision: 104559
- Rebuild for missing signature

* Tue Jan 18 2011 blino <blino> 1.700.0-8.mga1
+ Revision: 23274
- rebuild for new perl

* Mon Jan 10 2011 jquelin <jquelin> 1.700.0-7.mga1
+ Revision: 4864
- imported package perl-XML-LibXML

